> For the complete documentation index, see [llms.txt](https://docs.omnileads.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omnileads.net/english/omnileads-installation-methods/tls-ssl-certificates.md).

# TLS/SSL Certificates

## Provisioning TLS/SSL Certificates 🔐 <a href="#tls-cert-provisioning" id="tls-cert-provisioning"></a>

Based on the "certs" variable present in the inventory file, it is possible to specify SSL certificates other than the "self-signed" ones generated by the default installation procedure.

The possible options are:

* **selfsigned**: will deploy a self-signed certificate (not recommended for production environments).
* **custom**: If the idea is to implement custom certificates, you should place the corresponding certificate and private key files under the instances/tenant\_folder directory, named cert.pem and key.pem, respectively.
* **certbot**: will deploy an instance with a certificate generated by Let's Encrypt SSL.

In addition to that, port 80 must be accessible from the CA on the Internet (Certificate Authority), and we must have a valid email to receive renewals from the Let's Encrypt provider. When working with self-generated certificates using Certbot, we must ensure that our instance has a valid FQDN (Fully Qualified Domain Name) and its corresponding DNS resolution.

```
certs: certbot
fqdn: omlinstance.domain.com
notification_email: your_email@domain.com
```

All methods apply to both new installations and updates, \_except for Certbot (not available for upgrade procedures


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.omnileads.net/english/omnileads-installation-methods/tls-ssl-certificates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
